%global uuid fedmsg@lmacken-redhat.com
%global commit d7c13c7ab18e9578041966b4496e8a68f75fe285
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           gnome-shell-extension-fedmsg
Version:        0.1.9
Release:        15%{?dist}
Summary:        A gnome-shell extension for enabling fedmsg desktop notifications

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/lmacken/%{name}
Source0:        https://github.com/lmacken/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch0:         shell-version.patch

BuildArch:      noarch

Requires:       gnome-shell >= 3.10
Requires:       fedmsg-notify


%description
This is a GNOME shell extension that allows you to easily toggle and configure
the fedmsg-notify service.


%prep
%setup -q -n %{name}-%{commit}
%patch0 -p0


%build
# Nothing to build


%install
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/
install -m 0644 extension.js %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/extension.js
install -m 0644 metadata.json %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/metadata.json
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 img/fedmsg-notify.png %{buildroot}%{_datadir}/pixmaps/fedmsg-notify.png


%files
%doc LICENSE README.md
%{_datadir}/gnome-shell/extensions/%{uuid}/
%{_datadir}/pixmaps/fedmsg-notify.png


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.9-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 24 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-14
- Updated for gnome-shell-3.17.4 (#1045669)

* Thu Jul 09 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-13
- Updated for gnome-shell-3.17.3 in rawhide (#1045669)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 Luke Macken <lmacken@redhat.com>  - 0.1.9-11
- Updated for gnome-shell-3.17.2 in rawhide (#1045669)

* Wed May 20 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-10
- Cleanup the metadata.json (#1045669)

* Tue May  6 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-9
- Update the metadata for gnome-shell 3.17.1 (#1045669)

* Mon May  5 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-8
- Update the metadata for gnome-shell 3.16.1 (#1045669)

* Thu Mar 26 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-7
- Update the metadata for gnome-shell 3.16.0 (#1045669)

* Thu Mar 19 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-6
- Update the metadata for gnome-shell 3.15.92 (#1045669)

* Fri Mar 06 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-5
- Update the gnome-shell version metadata patch

* Sun Mar 01 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-4
- Update the gnome-shell version metadata patch

* Sat Jan 31 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-3
- Patch the metadata.json to work with the latest GNOME shell (#1045669)

* Thu Jan 29 2015 Luke Macken <lmacken@redhat.com> - 0.1.9-2
- Patch the metadata.json to work with the latest GNOME shell (#1045669)

* Mon Dec 15 2014 Luke Macken <lmacken@redhat.com> - 0.1.9-1
- Updated the metadata.json to work with the latest GNOME shell (#1045669)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 07 2014 Luke Macken <lmacken@redhat.com> - 0.1.8-1
- Updated to work with gnome-shell 3.13.1 (#1045669)

* Tue Apr  8 2014 Luke Macken <lmacken@redhat.com> - 0.1.7-1
- Updated to work with gnome-shell 3.12

* Wed Jan 15 2014 Luke Macken <lmacken@redhat.com> - 0.1.6.1-1
- Updated to work with gnome-shell 3.11 in rawhide

* Thu Jan 09 2014 Luke Macken <lmacken@redhat.com> - 0.1.6-1
- Updated to work with gnome-shell 3.10
- Fixed GitHub Source URL

* Tue Oct 08 2013 Luke Macken <lmacken@redhat.com> - 0.1.5-2
- Updated source URL

* Fri Aug 23 2013 Luke Macken <lmacken@redhat.com> - 0.1.5-1
- Update to 0.1.5 bugfix release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 03 2013 Luke Macken <lmacken@redhat.com> - 0.1.4-1
- Updated extension metadata for GNOME 3.8

* Thu Mar 07 2013 Luke Macken <lmacken@redhat.com> - 0.1.3-1
- Updated extension metadata for GNOME 3.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Luke Macken <lmacken@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Thu Jan 10 2013 Luke Macken <lmacken@redhat.com> - 0.1.1-1
- New release with updated extension metadata to get it working with 3.6.x

* Thu Oct 11 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-3
- Require fedmsg-notify
- Include the license in the package
- Removed some legacy RPM cruft
- Fixed the Source0

* Wed Oct 10 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-2
- Fixed the URL

* Mon Oct  8 2012 Luke Macken <lmacken@redhat.com> - 0.1.0-1
- Initial package
